SystemOrganization addCategory: #'SourceCity-Test-Core'!

TestCase subclass: #AbstractCityComponentTest
	instanceVariableNames: 'cityImporter'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SourceCity-Test-Core'!

!AbstractCityComponentTest methodsFor: 'running' stamp: 'AndreHora 6/3/2012 15:12'!
setUp

	cityImporter := CityImporter new.! !

AbstractCityComponentTest subclass: #BuildingTest
	instanceVariableNames: 'c'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SourceCity-Test-Core'!

!BuildingTest methodsFor: 'tests' stamp: 'AndreHora 6/3/2012 15:25'!
testHeightMetricsConfig
	"self debug: #testMetricsConfig"
	
	| p d |
	
	cityImporter cityNamed: 'CodCT' withPackageNames: #('AST-Core').
	
	self assert: cityImporter city districts size = 1.
	self assert: (cityImporter city districts at: 1) buildings size = 2.
	
	self assert: (cityImporter city districts at: 1) width = 8.! !

!BuildingTest methodsFor: 'tests' stamp: 'AndreHora 6/3/2012 15:25'!
testWidthMetricsConfig
	"self debug: #testMetricsConfig"
	
	| p d |
	
	cityImporter cityNamed: 'CodCT' withPackageNames: #('AST-Core').
	
	self assert: cityImporter city districts size = 1.
	self assert: (cityImporter city districts at: 1) buildings size = 2.! !

AbstractCityComponentTest subclass: #DistrictTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SourceCity-Test-Core'!

!DistrictTest methodsFor: 'tests' stamp: 'AndreHora 6/3/2012 15:25'!
testMetricsConfig
	"self debug: #testMetricsConfig"
	
	| p d |

	cityImporter cityNamed: 'CodCT' withPackageNames: #('AST-Core').
	self assert: cityImporter city districts size = 1.! !
